#tag Module
Protected Module LDS_DesktopWindow_Extensions
	#tag Method, Flags = &h0
		Function ControlAt(extends dw as DesktopWindow, index as integer) As Object
		  if(index<0 or index>=dw.ControlCount) then 
		    var e as new OutOfBoundsException
		    e.message="No control exists for index "+index.toString
		    raise e
		  end
		  return dw.control(index)
		End Function
	#tag EndMethod

	#tag Method, Flags = &h0
		Function LastControlIndex(extends dw as DesktopWindow) As integer
		  return dw.ControlCount-1
		End Function
	#tag EndMethod


	#tag Note, Name = Revision History
		October 27, 2022 - Initial implementation
		
	#tag EndNote


End Module
#tag EndModule
